# Simple Text Editor
Simple Text Editor using GTK+ 3. <br><br><br>
![image](https://github.com/rhysqi/Simple-Text-Editor/assets/93817895/ad474474-92fc-4f58-a549-b53efad5ad8f)


# Dependencies
- Gtk v3

# Toolchains
- gcc v11
- CMake v3.2x

# Tested Platform
- [x] Linux Mint 21
- [x] Ubuntu 22

## Build & Run
  ```
  sudo apt install gcc-11 libgtk-3-0 libgtk-3-dev
  ```
  
- Using Makefile
  ```
  make
  ./build/Program
  ```
  
- Using CMake
   ```
   mkdir build
   cd build
   cmake ..
   make
   ```
